summaryrefslogtreecommitdiffstats
path: root/src/ob-installdocs.sh
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 18:57:53 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 18:57:53 (EDT)
commit9f3825909b74fc8703a3578523677e4f0948b526 (patch)
treecdbb7832fe6b135dfd5625f0c1007f42e0b1caee /src/ob-installdocs.sh
parent7d1a160e51e3705fc901c7b5150913d726b58f0b (diff)
ob-installdocs: Replace "${data_doc_dir%/*}" with dirname
Diffstat (limited to 'src/ob-installdocs.sh')
-rw-r--r--src/ob-installdocs.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/src/ob-installdocs.sh b/src/ob-installdocs.sh
index 0b3a342..2a3271d 100644
--- a/src/ob-installdocs.sh
+++ b/src/ob-installdocs.sh
@@ -97,7 +97,8 @@ main()
ob_info "$(ob_get_msg 'docs_already_linked')" "${pkg}"
else
ob_info "$(ob_get_msg 'linking_docs')" "${pkg}"
- if ! mkdir -p -- "${data_doc_dir%/*}"; then
+ if ! mkdir -p -- "$(dirname -- \
+ "${data_doc_dir}")"; then
ob_error "$(ob_get_msg 'cant_make_doc_dir')"
return 1
fi